Watch a running Browser Use node
Opens the existing desktop viewer for the computer reported by this Browser Use subjob. Never resumes a computer or changes the browser viewport.
POST
/api/runs/{id}/subjobs/{subjobId}/browser-streamPath parameters
idstringrequiredsubjobIdstringrequiredRequest
curl
curl -X POST https://trickest.io/api/runs/{id}/subjobs/{subjobId}/browser-stream \
-H "Authorization: Token $TRICKEST_TOKEN"Responses
200Read-only viewer URL
urlstringrequiredcomputerIdstringrequireddestinationstring400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.